package org.eclipse.html.editor;

/**
 * Stores completions on attributes inside HTML escape sequences.
 */
class EscapeCompletion extends HTMLCompletion {
   private static EscapeCompletion[] completions =
      new EscapeCompletion[] {
         new EscapeCompletion("quot", true),
         new EscapeCompletion("gt", false),
         new EscapeCompletion("lt", false),
         new EscapeCompletion("nbsp", false),
         };
   /**
    * Returns all escape sequence completions
    */
   public static EscapeCompletion[] allCompletions() {
      return completions;
   }
   private static String generateReplaceText(String sequence, boolean repeat) {
      int length = sequence.length() + 2;
      if (repeat)
         length *= 2;
      StringBuffer buf = new StringBuffer(length);
      while (true) {
         buf.append('&');
         buf.append(sequence);
         buf.append(';');
         if (!repeat)
            break;
         repeat = false;
      }
      return buf.toString();
   }
   EscapeCompletion(String sequence, boolean repeat) {
      super(sequence, "", generateReplaceText(sequence, repeat), sequence.length() + 2);
   }
}