package org.eclipse.html.editor;

/**
 * Captures the information about a possible HTML tag completion
 */
public abstract class HTMLCompletion {
   private int cursorOffset;
   private String description;
   private String replaceText;
   private String element;
   protected HTMLCompletion(String element, String desc, String replaceText, int offset) {
      this.element = element;
      this.description = desc;
      this.replaceText = replaceText;
      this.cursorOffset = offset;
   }
   public int getCursorOffset() {
      return cursorOffset;
   }
   public String getDescription() {
      return description;
   }
   public String getReplaceText() {
      return replaceText;
   }
   public String getElement() {
      return element;
   }
   public boolean isMatching(String prefix) {
      return element.startsWith(prefix);
   }
}