package org.eclipse.html.editor;

import java.util.ResourceBundle;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.ui.texteditor.*;
/**
 * Simple HTML editor with syntax highlighting and code assist.
 *
 */
public class HTMLEditor extends AbstractTextEditor {

   private HTMLConfiguration configuration;
   private ResourceBundle resourceBundle;

   public HTMLEditor() {
      this.resourceBundle = ResourceBundle.getBundle("org.eclipse.html.editor.messages");
      configuration = new HTMLConfiguration();
      setSourceViewerConfiguration(configuration);
      setPreferenceStore(EditorPlugin.getDefault().getPreferenceStore());
      setDocumentProvider(new HTMLDocumentProvider());
      setKeyBindingScopes(new String[] { "org.eclipse.html.htmlEditorScope" }); //$NON-NLS-1$
   }
   protected void createActions() {
      super.createActions();
      Action action = new ContentAssistAction(resourceBundle, "ContentAssistProposal.", this); //$NON-NLS-1$
      action.setActionDefinitionId(ITextEditorActionDefinitionIds.CONTENT_ASSIST_PROPOSALS);
      setAction("ContentAssistProposal", action); //$NON-NLS-1$
      markAsStateDependentAction("ContentAssistProposal", true); //$NON-NLS-1$
   }
   public void dispose() {
      configuration.dispose();
      super.dispose();
   }
   protected void editorContextMenuAboutToShow(IMenuManager menu) {
      super.editorContextMenuAboutToShow(menu);
   }
}