package org.eclipse.html.editor;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IEditorPart;

/**
 * HTMLEditor action that marks the current location in the editor history.
 * Example for FAQ 00038.html: how to add history navigation to an editor.
 */
public class MarkLocationAction extends Action {
   private IEditorPart editor;
   public MarkLocationAction(IEditorPart editor) {
      super("Mark Location in History", null);
      this.editor = editor;
   }
   public void run() {
      editor.getSite().getPage().getNavigationHistory().markLocation(editor);
   }
}
