package org.eclipse.html.editor;

/**
 * Captures the information about a possible HTML tag completion
 */
public class TagCompletion extends HTMLCompletion{
   public static TagCompletion[] allCompletions() {
      return new TagCompletion[] {
         new TagCompletion("a", "link or link anchor"),
         new TagCompletion("b", "bold"),
         new TagCompletion("body", "the body of an HTML document"),
         new TagCompletion("code", "A segment containing sample code"),
         new TagCompletion("em", "Emphasizes the enclosed text"),
         new TagCompletion("head", "The header of an HTML document"),
         new TagCompletion("html", "The root tag for an HTML document"),
         new TagCompletion("i", "Puts the enclosed text in italics"),
         new TagCompletion("li", "Item in an ordered or unordered list"),
         new TagCompletion("ol", "Ordered List"),
         new TagCompletion("p", "Paragraph"),
         new TagCompletion("pre", "Pre-formatted text"),
         new TagCompletion("strong", "Puts the enclosed text in a boldface font"),
         new TagCompletion("title", "The document title"),
         new TagCompletion("tt", "true-type font"),
         new TagCompletion("ul", "Unordered list"),
         };
   }
   private static String generateFullTag(String tag) {
      StringBuffer buf = new StringBuffer(tag.length() * 2 + 5);
      buf.append('<');
      buf.append(tag);
      buf.append('>');
      buf.append("</");
      buf.append(tag);
      buf.append('>');
      return buf.toString();
   }
   private TagCompletion(String tag, String desc) {
      super(tag, desc, generateFullTag(tag), tag.length() + 2);
   }
}